v3.0

put

/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/inventory/kits

Updates kit attributes. This version supports new filter BlockNumber and list of kit type IDs.
Rights: OrsInventoryPost and OrsUnblinded.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : Update Kit Attributes Request v3.0
Type: object
Title: Update Kit Attributes Request v3.0
Request to update kit attributes.
Show Source
  • Allowed Values: [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]
    Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).
    Example: 10
  • Item number.
    Example: 30100000200000000000000000000005
  • KitFiltersRequest v3.0
    Title: KitFiltersRequest v3.0
    Request object for kit filters.
  • Kits
    Title: Kits
    List of kit IDs.
  • Label group ID.
    Example: 30100000200000000000000000000005
  • Location.
    Example: 30100000200000000000000000000005
  • Manufacturing lot ID.
    Example: 30100000200000000000000000000005
  • Material ID.
    Example: 30100000200000000000000000000005
  • Minimum Length: 0
    Maximum Length: 255
    Reason
    Example: kit damaged by subject
  • Whether to update the item number.
    Example: true
  • Whether to update the material ID.
    Example: true
Nested Schema : KitFiltersRequest v3.0
Type: object
Title: KitFiltersRequest v3.0
Request object for kit filters.
Show Source
  • Title: Block Number
    Block number.
    Example: 1
  • Kit number.
    Example: abc-2
  • Kit range
    Example: SEQUENCE_NUMBER:900:1200
  • Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).
    Example: 1
  • kitTypeIds
    ID of the kit type.
  • Label group ID.
    Example: B1B8327AFAA6412287106192AB5984EF
  • Location.
    Example: ALL_SITES
  • Lot ID.
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : Kits
Type: array
Title: Kits
List of kit IDs.
Show Source
Nested Schema : kitTypeIds
Type: array
ID of the kit type.
Show Source
Example:
[
    "3F6567865E694182BEEA2B4F76538F05",
    "461A0B8261454C1EBA56285BB538E7B5",
    "EB2B77004EF74E479B6DDBA56D8B6A51"
]
Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : Update Kits Response v1.0
Type: object
Title: Update Kits Response v1.0
Response object of update kit.
Show Source

400 Response

Specify at least one kit attribute OR Reason is required OR Specify at least one filter. OR Either kits or kitFilters is required OR Invalid kit status OR Invalid kit range filter OR Invalid lot OR Invalid label group in kit filters OR Invalid kit type OR Invalid location OR No kits to update OR Update kits retrieved size exceeds maximum rows for update limit OR Invalid inventory status transition
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object

404 Response

Invalid study ID or version
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Back to Top